function fn(requestPath, queryParamMap, properties) {
  var intOps = [
    {
      label: '=',
      operator: '='
    },
    {
      label: '<',
      operator: '<'
    },
    {
      label: '>',
      operator: '>'
    },
    {
      label: '<=',
      operator: '<='
    },
    {
      label: '>=',
      operator: '>='
    },
    {
      label: '!=',
      operator: '!='
    }
  ];
    var strOps = [
    {
      label: 'equals',
      operator: '='
    },
    {
      label: 'not equals',
      operator: '!='
    },
    {
      label: 'starts with',
      operator: 'startsWith'
    },
    {
      label: 'ends with',
      operator: 'endsWith'
    }
  ];
  var ret = {
    data: []
  };
  
  if (!queryParamMap.key) {
    return ret;
  }
  
  switch(queryParamMap.key) {
    case 'ldevId':
    case 'poolId':
    case 'ldevIdHex':
      ret.data = intOps;
      break;
    case 'label':
      ret.data = strOps;
      break;
  }
  return ret;
}